Get all goals Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v2/goals

This endpoint will return all goals in the firm relevant to the user accessing them.

Headers

  • X-PLANNR-ACCOUNT-UUID string

Query parameters

  • include string

    Comma separated list of relationships to include in the response. Valid relationships are [accounts, visibleToCircles].

  • include_circle_goals boolean

    When authenticated as a client, you can opt to include other goals belonging to members of circles the authenticated client is a member of as long as they have the correct circle circle login access level to do so.

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • filter[name] string

    Filter by name.

  • filter[description] string

    Filter by description.

  • filter[progress] string

    Filter by progress. Can use operands such as >=, <>, > and combine as a range by providing two values separated by comma.

  • filter[complete_goal_by] string

    Filter by Complete Goal By. Can use operands such as >=, <>, > and combine as a range by providing two values separated by comma.

  • filter[priority] string

    Filter by priority. Can use operands such as >=, <>, > and combine as a range by providing two values separated by comma.

  • filter[account_uuids] string

    Filter by a comma separated list of account UUIDs.

  • filter[circle_uuids] string

    Filter by a comma separated list of circle UUIDs.

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, name, progress, complete_goal_by, priority]. Negative sign to denote DESC. Defaults to 'created_at'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string

        The UUID of the resource.

      • created_at string

        The timestamp of when the resource was created.

      • updated_at string

        The timestamp of when the resource was updated.

      • name string

        The goal's name.

      • description string

        The goal's description.

      • target_amount object

        The goal's target amount.

        Hide target_amount attributes Show target_amount attributes object
        • amount object
          Hide amount attributes Show amount attributes object
          • example string
          • description string
        • formatted object
          Hide formatted attributes Show formatted attributes object
          • example string
          • description string
        • currency object
          Hide currency attributes Show currency attributes object
          • example string
          • description string
      • progress string

        The goal's progress as a percentage.

      • timeframe string

        The goal's timeframe.

      • complete_goal_by string

        The goal's deadline as a specific date.

      • priority string

        The goal's priority on a scale from 1 to 5.

      • shared_owner_type string

        Denotes if the goal is shared across the client or belongs to one of the owners of the client. (Only applicable for joint/business/trust clients)

      • shared_owner object

        The owner of the goal. Only provided if the shared_owner_type is "individual".

        Hide shared_owner attributes Show shared_owner attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • firm string
        • primary_phone_number string
        • primary_email string
        • current_time_entry string
        • assigned_adviser string
        • assigned_administrator string
        • assigned_paraplanner string
        • introduced_by string
        • business_unit string
        • groups string
        • tags string
        • owners string
        • first_contact_date string
        • next_review_date string
        • previous_review_date string
        • anniversary_review_date string
        • terms_of_business_at string
        • client_agreement_at string
        • with_login boolean
        • has_joint_account boolean
        • can_be_deleted string
        • joint_account_circle string
        • circles string
        • ownership_percentage integer
        • inactive_at string
        • last_interaction_at string
        • referral_code string
        • permissions object
          Hide permissions attributes Show permissions attributes object
          • firm:read array[string]
          • network:read array[string]
        • custom_fields string
        • external_references string
GET /api/v2/goals
curl \
 --request GET 'https://api.plannrcrm.com/api/v2/goals' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "uuid": "425f7460-cc51-4d46-972f-49f61577b797",
      "created_at": "2026-06-09T14:10:15+01:00",
      "updated_at": "2026-06-09T14:10:15+01:00",
      "name": "Reduced Mileage",
      "description": "Reduce the amount of gas spent yearly.",
      "target_amount": {
        "amount": {
          "example": "4000",
          "description": "Money amount at their lowest denominator (for example: pennies)"
        },
        "formatted": {
          "example": "£40.00",
          "description": "Money amount formatted with currency"
        },
        "currency": {
          "example": "GBP",
          "description": "Currency of the money"
        }
      },
      "progress": "68",
      "timeframe": "Within the year.",
      "complete_goal_by": "2027-06-09T14:10:15+01:00",
      "priority": "4",
      "shared_owner_type": "individual",
      "shared_owner": {
        "uuid": "aee83fa8-c90c-48b4-9706-2faf36ed4d79",
        "created_at": "2026-06-09T14:10:15+01:00",
        "updated_at": "2026-06-09T14:10:15+01:00",
        "type": "client",
        "role": "client",
        "first_name": "Gareth",
        "last_name": "Thompson",
        "name": "Gareth Thompson",
        "email": "gareth@codepotato.co.uk",
        "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
        "firm": "App\\Http\\Resources\\FirmResource",
        "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
        "primary_email": "App\\Http\\Resources\\ContactDetailResource",
        "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
        "assigned_adviser": "App\\Http\\Resources\\AccountResource",
        "assigned_administrator": "App\\Http\\Resources\\AccountResource",
        "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
        "introduced_by": "App\\Http\\Resources\\AccountResource",
        "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
        "groups": "App\\Http\\Resources\\GroupResource",
        "tags": "App\\Http\\Resources\\TagResource",
        "owners": "App\\Http\\Resources\\AccountResource",
        "first_contact_date": "2026-06-09T14:10:15+01:00",
        "next_review_date": "2026-06-09T14:10:15+01:00",
        "previous_review_date": "2026-06-09T14:10:15+01:00",
        "anniversary_review_date": "2026-06-09T14:10:15+01:00",
        "terms_of_business_at": "2026-06-09T14:10:15+01:00",
        "client_agreement_at": "2026-06-09T14:10:15+01:00",
        "with_login": true,
        "has_joint_account": true,
        "can_be_deleted": "false",
        "joint_account_circle": "App\\Http\\Resources\\CircleResource",
        "circles": "App\\Http\\Resources\\CircleResource",
        "ownership_percentage": 100,
        "inactive_at": "2026-06-09",
        "last_interaction_at": "2026-06-09 14:10:15",
        "referral_code": "ABC12345",
        "permissions": {
          "firm:read": [
            "firm"
          ],
          "network:read": [
            "network:uuid"
          ]
        },
        "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
        "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
      }
    }
  ]
}